/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { SeriesDescription } from "./SeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let HighDensityScatterSeriesDescription = /*@__PURE__*/ (() => {
    class HighDensityScatterSeriesDescription extends SeriesDescription {
        get_type() {
            return "HighDensityScatterSeries";
        }
        constructor() {
            super();
            this.ek = null;
            this.eo = null;
            this.en = null;
            this.el = null;
            this.ep = null;
            this.em = null;
            this.eq = null;
            this.er = null;
            this.d6 = false;
            this.d5 = false;
            this.ea = 0;
            this.d9 = 0;
            this.ei = null;
            this.eh = null;
            this.ed = 0;
            this.ee = 0;
            this.ej = null;
        }
        get xAxisRef() {
            return this.ek;
        }
        set xAxisRef(a) {
            this.ek = a;
            this.g("XAxisRef");
        }
        get yAxisRef() {
            return this.eo;
        }
        set yAxisRef(a) {
            this.eo = a;
            this.g("YAxisRef");
        }
        get xMemberPath() {
            return this.en;
        }
        set xMemberPath(a) {
            this.en = a;
            this.g("XMemberPath");
        }
        get xMemberAsLegendLabel() {
            return this.el;
        }
        set xMemberAsLegendLabel(a) {
            this.el = a;
            this.g("XMemberAsLegendLabel");
        }
        get yMemberAsLegendLabel() {
            return this.ep;
        }
        set yMemberAsLegendLabel(a) {
            this.ep = a;
            this.g("YMemberAsLegendLabel");
        }
        get xMemberAsLegendUnit() {
            return this.em;
        }
        set xMemberAsLegendUnit(a) {
            this.em = a;
            this.g("XMemberAsLegendUnit");
        }
        get yMemberAsLegendUnit() {
            return this.eq;
        }
        set yMemberAsLegendUnit(a) {
            this.eq = a;
            this.g("YMemberAsLegendUnit");
        }
        get yMemberPath() {
            return this.er;
        }
        set yMemberPath(a) {
            this.er = a;
            this.g("YMemberPath");
        }
        get useBruteForce() {
            return this.d6;
        }
        set useBruteForce(a) {
            this.d6 = a;
            this.g("UseBruteForce");
        }
        get progressiveLoad() {
            return this.d5;
        }
        set progressiveLoad(a) {
            this.d5 = a;
            this.g("ProgressiveLoad");
        }
        get heatMinimum() {
            return this.ea;
        }
        set heatMinimum(a) {
            this.ea = a;
            this.g("HeatMinimum");
        }
        get heatMaximum() {
            return this.d9;
        }
        set heatMaximum(a) {
            this.d9 = a;
            this.g("HeatMaximum");
        }
        get heatMinimumColor() {
            return this.ei;
        }
        set heatMinimumColor(a) {
            this.ei = a;
            this.g("HeatMinimumColor");
        }
        get heatMaximumColor() {
            return this.eh;
        }
        set heatMaximumColor(a) {
            this.eh = a;
            this.g("HeatMaximumColor");
        }
        get pointExtent() {
            return this.ed;
        }
        set pointExtent(a) {
            this.ed = a;
            this.g("PointExtent");
        }
        get progressiveStatus() {
            return this.ee;
        }
        set progressiveStatus(a) {
            this.ee = a;
            this.g("ProgressiveStatus");
        }
        get progressiveLoadStatusChangedRef() {
            return this.ej;
        }
        set progressiveLoadStatusChangedRef(a) {
            this.ej = a;
            this.g("ProgressiveLoadStatusChangedRef");
        }
    }
    HighDensityScatterSeriesDescription.$t = /*@__PURE__*/ markType(HighDensityScatterSeriesDescription, 'HighDensityScatterSeriesDescription', SeriesDescription.$);
    return HighDensityScatterSeriesDescription;
})();
